Activate comprehensive protection in a system (v1)
POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/panoramic-protection/working-environment/{workingEnvironmentId}
Activates comprehensive protection for a system. Based on the selected backup topology (cascading or fan-out), this API verifies whether cluster peering exists between the primary and secondary clusters and creates it if needed. To enable backup to cloud, the API enables backup on the system and creates the object-store bucket used to transfer backups.
|
|
For new multi-bucket or per-volume object storage integrations, use the v2 panoramic protection API to enable backup on volumes. |
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
Account ID |
workingEnvironmentId |
string |
path |
True |
System ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
provider |
string |
False |
Required input field for on-premises use cases
|
region |
string |
False |
Required input field for on-premises use cases |
aws |
False |
||
azure |
False |
||
gcp |
False |
||
sgws |
False |
||
ontap-s3 |
False |
||
s3-compatible |
False |
||
bucket |
string |
False |
Optional input |
ip-space |
string |
False |
Required input field for on-premises use cases |
backup-policy |
False |
||
auto-backup-enabled |
boolean |
False |
Automatically backs up all volumes in the system |
max-transfer-rate |
number |
False |
Modifies node-level throttling of an ONTAP cluster. Value to be specified in kilo bytes per second (kbps). A value of 0 implies unlimited throttling. |
export-existing-snapshots |
boolean |
False |
Exports pre-existing snapshots to object storage |
architecture |
string |
False |
Type of storage architecture. Fan-out or cascading. |
snapshot-policy |
string |
False |
Snapshot policy name |
replication-target |
False |
||
fix-mismatch-labels |
boolean |
False |
Example request
{
"provider": "string",
"region": "string",
"aws": {
"account-id": "string",
"access-key": "string",
"secret-password": "string",
"kms-key-id": "string",
"private-endpoint": {
"id": "string"
},
"archive-storage-class": "string"
},
"azure": {
"resource-group": "string",
"storage-account": "string",
"subscription": "string",
"private-endpoint": {
"subnet": "string"
},
"key-vault": {
"key-vault-id": "string",
"key-name": "string"
}
},
"gcp": {
"project-id": "string",
"access-key": "string",
"secret-password": "string",
"kms": {
"key-ring-id": "string",
"crypto-key-id": "string"
}
},
"sgws": {
"storage-grid-id": "string",
"storage-server": "string",
"access-key": "string",
"secret-password": "string"
},
"ontap-s3": {
"storage-server": "string",
"access-key": "string",
"secret-password": "string"
},
"s3-compatible": {
"storage-server": "string",
"access-key": "string",
"secret-password": "string"
},
"bucket": "string",
"ip-space": "string",
"backup-policy": {
"name": "string",
"rule": [
{
"label": "string",
"retention": "string"
}
],
"archive-after-days": "string",
"object-lock": "string",
"sgws-archival": {
"cloud-storage-pool": {
"provider": "string",
"provider-account-id": "string",
"region": "string",
"access-key": "string",
"secret-password": "string",
"archive-storage-class": "string",
"resource-group": "string"
}
}
},
"architecture": "string",
"snapshot-policy": "string",
"replication-target": {
"policy-name": "string",
"working-environment-id": "string",
"working-environment-name": "string",
"svm": "string",
"prefix": "string",
"suffix": "string",
"aggregates": [
"string"
]
}
}
Response
Status: 202, Default response
| Name | Type | Required | Description |
|---|---|---|---|
job-id |
string |
False |
Example response
{
"job-id": "string"
}
Definitions
See Definitions
private-endpoint
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Optional input field for a private endpoint |
aws
| Name | Type | Required | Description |
|---|---|---|---|
account-id |
string |
False |
Required when the provider is AWS |
access-key |
string |
False |
Required input field for on-premises use cases |
secret-password |
string |
False |
Required input field for on-premises use cases |
kms-key-id |
string |
False |
Optional input field for customer managed key use case |
private-endpoint |
False |
||
archive-storage-class |
string |
False |
Required for AWS to specify which storage class to use for archiving |
private-endpoint
Required input field for private link configuration
| Name | Type | Required | Description |
|---|---|---|---|
subnet |
string |
False |
Required input field for on-premises private link configuration |
skip-creation |
boolean |
False |
Optional input field to skip private endpoint creation |
key-vault
| Name | Type | Required | Description |
|---|---|---|---|
key-vault-id |
string |
False |
|
key-name |
string |
False |
azure
| Name | Type | Required | Description |
|---|---|---|---|
resource-group |
string |
False |
Required when the provider is Azure |
storage-account |
string |
False |
Required when the provider is Azure |
subscription |
string |
False |
Required when the provider is Azure |
private-endpoint |
False |
Required input field for private link configuration |
|
key-vault |
False |
kms
| Name | Type | Required | Description |
|---|---|---|---|
key-ring-id |
string |
False |
|
crypto-key-id |
string |
False |
gcp
| Name | Type | Required | Description |
|---|---|---|---|
project-id |
string |
False |
Required when the provider is Google Cloud |
access-key |
string |
False |
Required input field for on-premises use cases |
secret-password |
string |
False |
Required input field for on-premises use cases |
kms |
False |
sgws
| Name | Type | Required | Description |
|---|---|---|---|
storage-grid-id |
string |
False |
StorageGRID ID. Required input field for StorageGRID provider |
storage-server |
string |
False |
StorageGRID server URL. Required input field for a StorageGRID provider |
access-key |
string |
False |
Required input field for on-premises use cases |
secret-password |
string |
False |
Required input field for on-premises use cases |
ontap-s3
| Name | Type | Required | Description |
|---|---|---|---|
storage-server |
string |
False |
ONTAP S3 server URL. Required input field for ONTAP_S3 provider |
access-key |
string |
False |
Required input field for on-premises use cases |
secret-password |
string |
False |
Required input field for on-premises use cases |
s3-compatible
| Name | Type | Required | Description |
|---|---|---|---|
storage-server |
string |
False |
s3 storage server |
access-key |
string |
False |
Required input field for on-premises use cases |
secret-password |
string |
False |
Required input field for on-premises use cases |
rule
| Name | Type | Required | Description |
|---|---|---|---|
label |
string |
False |
|
retention |
string |
False |
cloud-storage-pool
| Name | Type | Required | Description |
|---|---|---|---|
provider |
string |
True |
Cloud provider where the cloud storage pool is hosted |
provider-account-id |
string |
True |
Cloud provider account ID where the cloud storage pool is hosted |
region |
string |
True |
Cloud provider region where the cloud storage pool is hosted |
access-key |
string |
False |
Required input field if the provider is AWS |
secret-password |
string |
False |
Required input field if the provider is AWS |
archive-storage-class |
string |
False |
Required for AWS to specify which storage class to use for archiving |
resource-group |
string |
False |
Required when the provider is Azure |
sgws-archival
| Name | Type | Required | Description |
|---|---|---|---|
cloud-storage-pool |
False |
backup-policy
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
Required input |
rule |
array[rule] |
False |
|
archive-after-days |
string |
False |
|
object-lock |
string |
False |
|
sgws-archival |
False |
replication-target
| Name | Type | Required | Description |
|---|---|---|---|
policy-name |
string |
False |
|
working-environment-id |
string |
False |
|
working-environment-name |
string |
False |
|
svm |
string |
False |
|
prefix |
string |
False |
|
suffix |
string |
False |
|
aggregates |
array[string] |
False |